Subject: [tsvwg] tsvwg status - December 2012

From: [email-masked]
Date: Thu, 20 Dec 2012 08:39:44 -0000

The list below shows the status of the working group documents as we see
it. Please check below and comment on drafts using the list. Please do
send any corrections/omissions to the chairs.

Best wishes,

Gorry, David & James
(TSVWG Chairs)

---
Recently published:

draft-ietf-tsvwg-rsvp-security-groupkeying was published as RFC 6411.
draft-ietf-tsvwg-sctpsocket was published as RFC 6458.
draft-ietf-tsvwg-sctp-strrst was published as RFC 6535.
draft-ietf-tsvwg-source-quench was published as RFC 6633.

-------------------------------------------------------------------
IDs in RFC Editor Queue:
http://www.rfc-editor.org/queue.html
None.

-------------------------------------------------------------------
IDs in IESG processing:

draft-ietf-tsvwg-sctp-udp-encap
(Replaced: draft-tuexen-sctp-udp-encap)
Lars sent a note as AD agreeing to progress this work.
Work was coordinated with DCCP work on encaps.
draft-tuexen-sctp-udp-encaps-06, January 10, 2011
Adopted as a work item 21 Sept 2011 (Gorry)
WG -02 8 Dec 2011
WGLC completed Friday 20th April 2012, many discussion and notes that
there were implementations (including: FreeBSD and released in 9.1 & MacOS
X)
ID was ready for AD submission, 20th Oct 2012
Checked IANA port usage.
STATUS: Write-up sent to AD.
---

draft-ietf-tsvwg-byte-pkt-congest
New editor added Jul 2010.
New revision 25 Oct 2010.
WG -01, June 10, 2011
IETF-81: discussed whether this should be BCP.
ADs & Chairs agree to progress as a BCP
Status changed to BCP (new-ID WG -05)
Presented at IETF-82 (Taipei), request for WGLC.
Gorry added as Shepherd (Jan 2012), Wes added as responsible AD (Jun 2012).
WGLC concluded with comments on I-D, Friday 30th March 2012.
Draft version of write-up sent to list, comments received.
- Gorry working with authors to clear list of WGLC questions (5 sept 2012).
WG Chair received version that includes additional feedback during WGLC
STATUS: Write-up sent to AD.

-------------------------------------------------------------------

WG Drafts with Chairs:
None.

-------------------------------------------------------------------
WG Drafts:

draft-ietf-tsvwg-rsvp-pcn
Previous version : draft-karagiannis-pcn-tsvwg-rsvp-pcn
WG interest in this topic recorded at IETF-81.
Individual -01, 2011-07-11
AD decision allowed this to be added to the milestones
The document was adopted, status will be EXP (IETF-84 due to dependencies
on PCN RFCs)
WG -00 8 Oct 2011
RSVP-DIR review requested 13th Oct 2012
DUE: Please comment on RVSP & PCN aspects
---

draft-ietf-tsvwg-natsupp-tsvwg
(Replaced: draft-stewart-natsupp-tsvwg)
http://tools.ietf.org/wg/tsvwg/draft-ietf-tsvwg-natsupp/
Dependency from BEHAVE WG.
Adopted as a work item 21 Sept 2010 (Gorry).
WG -00, 29/11/2010
Uploaded as: draft-ietf-natsupp-tsvwg
WG -01, June 1, 2011
Authors restructured draft (-03)
- Done for single home
- Concept done for multihome, no spec
DUE: Please comment on list.
---

draft-ietf-tsvwg-sctp-failover
replaces: draft-nishida-tsvwg-sctp-failover
Individual-00 Presented in Prague, IETF-80.
- understood not to conflict with draft-tuexen-tsvwg-sctp-multipath
- PF has been coded into FreeBSD
WG adoption was approved - request to comment to list on 26/6/2012.
Adopted by WG.
---

draft-ietf-tsvwg-intserv-multiple-tspec
WG interest in this topic recorded at IETF-78.
Charter update would be needed to progress this work.
5 Reviews needed to determine energy/technical direction.
WG -05 (presented in Beijing, IETF-79)
WG -06 (presented in Prague, IETF-80)
RSVP directorate was consulted.
2 reviews from RSVP-DIR received (Bruce Davie, ?)
2 additional reviews promised (Ken Carlberg, Francois LeF)
Chairs asked AD for a Charter update (IESG agreed)
Draft discussed at IETF-80, and request to update charter agreed
- AD advised 4 named reviewers will be required
Adopted for progression as PS, for May 2012
- New approach presented following WG comments
DUE: Discussion needed on list.
---

draft-ietf-tsvwg-port-use-00
(replaces draft-touch-tsvwg-port-use-00)
- Intended to be advice to protocol designers needing a port.
5 people have looked at this document, Prague IETF-80
Individual -01 July 2011
IETF-81 insufficient feedback from WG at this time.
WG needs to assess if the new draft should be a work item.
IETF-82, discussed - Chairs will ask WG to consider.
Adopted by WG
DUE: Revised ID expected to complete missing sections & include feedback
from IETF-85
---

draft-polk-tsvwg-rsvp-app-id-vv-profiles
-01 Presented in Beijing, IETF-79.
-02, 14-Mar-2011
Presented IET-80.
WG needs to assess if the new draft should be a work item.
Seek to coordinate with music with partner ID:
draft-polk-mmusic-traffic-class-for-sdp
Author requests to make a WG work item...
Gorry liaised with MMUSIC WG Chairs on companion draft, intended for LC
early 2013.
Adopted as a TSVWG work item - December 2012.
DUE: Waiting for author to respond with milestone date.

-------------------------------------------------------------------
WG action required:

WGLC: UDP/IPv6
draft-ietf-6man-udpzero
Previously: draft-fairhurst-tsvwg-6man-udpzero
Related draft: draft-ietf-6man-udpchecksums-00
This draft was also LC'ed in TSVWG (end 3rd May 2012)
DUE: Updated to become a BCP applicability statement - new WGLC in TSVWG
started for 26 Dec 2012.
---

Adoption call: SCTP/DTLS

draft-tuexen-tsvwg-sctp-dtls-encaps-01
Implemented in Firefox, Chrome interested.
This adoption call will conclude 3rd January 2013.
DUE: Please confirm adoption by working group on mailing list.
Responses to call: [MB:TD:SL]
---

Adoption call: SCTP/SACK-Immediately

draft-tuexen-tsvwg-sctp-sack-immediately
-05, 2011-01-02
- Aug 2011, discussed on list and issues raised.
- Implemented in BSD & Linux
This adoption call will conclude 3rd January 2013.
DUE: Please confirm adoption by working group on mailing list.
Responses to call: [MB:TD:SL]
-------------------------------------------------------------------
The following have received recent discussion at TSVWG meetings or on
the list. Inclusion in the list below does not indicate support for
these specific drafts and other contributions are also warmly welcomed.

draft-polk-tsvwg-rfc4594-update
Discussed at IETF-83, Paris
- noted at IETF-84, but not discussed (no time).
DUE: Please comment on list.
---

draft-polk-tsvwg-new-dscp-assignments
- noted at IETF-84, but not discussed (no time).
DUE: Please comment on list.
---

draft-stewart-tsvwg-sctpecn-02Partially replaces
(draft-stewart-tsvwg-sctp-nonce)
IETF-78 suggested there was interest in this topic.
Discussed at IETF-83, Paris.
DUE: ECN was confirmed to be within the TSVWG Charter
DUE: A call for adoption will be made on the list, please comment on this
draft contents.
---

draft-tuexen-tsvwg-sctp-multipath (CMT)
-00 Presented in Prague, IETF-80.
- understood not to conflict with draft-nishida-tsvwg-sctp-failover
- Implemented in FreeBSD (ns2, inet)
- subsumes NR-SACK
-01, 2010-12-27
DUE: Please comment to list.
DUE: Need to decide if this can be adopted as a WG Item
---

draft-carlberg-tsvwg-ecn-reactions
Reactions to Signaling from ECN Support for RTP/RTCP
-00 presented IETF-82
Not yet requested to become a work item.
- This draft is related to the new rmcat work.
DUE: Please comment on list.

-------------------------------------------------------------------

Related non-TSVWG items:

draft-ietf-behave-sctpnat-03.txt
BEHAVE WG item linked to SCTP encapsulation work.

draft-ohanlon-rmcat-dflow
Discussed at IETF-84, Vancouver
This draft is related to the new rmcat work.
Comments received on list prior to IETF-85.
DUE: Revised ID needed

------------------------------------------------------------------
Other news:

RSVP Directorate (formed in May 2010)
Charter updated Aug 2011.
New co-chair: Rolf Winter <[email-masked]>

ITU-T Study Group 12 Liaison on QoS Classes & markings for interconnection

------------------------------------------------------------------
Other draft history:

draft-ietf-behave-sctpnat-03.txt
waiting on:
draft-ietf-tsvwg-natsupp-04
---

draft-briscoe-tsvwg-ecn-encap-guidelines
-00 Presented in Prague, IETF-80.
- comments at IETF-80 (see minutes)
Authors need to update this draft.
DUE: Please comment on list.
DUE: Please check liaison status with other SDOs.

---

From: t.petch <[email-masked]>
Date: Fri, 21 Dec 2012 14:32:59 +0000

Gorry

RFC6535 is

Subject: RFC 6535 on Dual-Stack Hosts Using "Bump-in-the-Host" (BIH)
From: <[email-masked]

I know that you said the same thing last October and noone commented on
it then, but that does not mean that we did not notice:-)

Tom Petch

----- Original Message -----
From: <[email-masked]>
To: <[email-masked]>
Sent: Thursday, December 20, 2012 8:39 AM
Subject: [tsvwg] tsvwg status - December 2012

Best wishes,

Gorry, David & James
(TSVWG Chairs)

---
Recently published:

there were implementations (including: FreeBSD and released in 9.1 &
MacOS

Gorry added as Shepherd (Jan 2012), Wes added as responsible AD (Jun
2012).
- Gorry working with authors to clear list of WGLC questions (5 sept
2012).

WG Drafts with Chairs:
None.

The document was adopted, status will be EXP (IETF-84 due to
dependencies

WGLC: UDP/IPv6
draft-ietf-6man-udpzero

Adoption call: SCTP/DTLS

DUE: A call for adoption will be made on the list, please comment on
this
draft contents.
---

Related non-TSVWG items:

ITU-T Study Group 12 Liaison on QoS Classes & markings for
interconnection